### Method

# GLib BookmarkFile has_item

since: 2.12

#### Declaration [src]

    gboolean
    g_bookmark_file_has_item (
      GBookmarkFile* bookmark,
      const gchar* uri
    )

#### Description [src]

Looks whether the desktop bookmark has an item with its URI set to `uri`.

Available since: 2.12

#### Parameters

`uri`

  Type: `const gchar*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `uri` is inside `bookmark`, `FALSE` otherwise.